com.amazon.redshift.core

## Class EncodingPredictor

- java.lang.Object
- - com.amazon.redshift.core.EncodingPredictor

    public class EncodingPredictor
    extends Object

Predicts encoding for error messages based on some heuristics.

1. For certain languages, it is known how "FATAL" is translated
2. For Japanese, several common words are hardcoded
3. Then try various LATIN encodings

### Nested Class Summary

Nested Classes
`static class` `EncodingPredictor.DecodeResult` In certain cases the encoding is not known for sure (e.g.

### Constructor Summary

Constructors
Constructor and Description
`EncodingPredictor()`

### Method Summary

Methods
`static EncodingPredictor.DecodeResult` `decode(byte[] bytes, int offset, int length, RedshiftLogger logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncodingPredictor

    public EncodingPredictor()

### Method Detail

#### decode

    public static EncodingPredictor.DecodeResult decode(byte[] bytes,
                                        int offset,
                                        int length,
                                        RedshiftLogger logger)